# == Class: selenium
#
# Class to install selenium.
#
# Parameters:
#
# None
#

class selenium {

    # validate_platform() function comes from
    # puppet module gajdaw/diverse_functions
    #
    #     https://forge.puppetlabs.com/gajdaw/diverse_functions
    #
    if !validate_platform($module_name) {
        fail("Platform not supported in module '${module_name}'.")
    }

    Exec { path => [
        '/usr/local/sbin',
        '/usr/local/bin',
        '/usr/sbin',
        '/usr/bin',
        '/sbin',
        '/bin'
    ]}

    class { 'selenium::prerequisites': }

    wget::fetch { 'download selenium jar':
        source      => 'http://selenium-release.storage.googleapis.com/2.47/selenium-server-standalone-2.47.1.jar',
        destination => '/tmp/selenium-server-standalone-2.47.1.jar'
    }

}
