# == Class: selenium::prerequisites
#
# Ensure any required dependencies for selenium are present.
#
# Parameters:
#
# None
#

class selenium::prerequisites {

    include stdlib

    if (
        ($::operatingsystem == 'Ubuntu') and
        ($::operatingsystemrelease == '14.04')
    ) {

        $deps = [
            'software-properties-common'
        ]

    }

    ensure_packages($deps)

    $common_deps = [
        'openjdk-7-jre-headless',
        'firefox',
        'xvfb'
    ]

    ensure_packages($common_deps)

}
